# This file is used by buildme.sh
Summary: The Trustix mkinitrd tool
Name: tsl-initrd
Version: 0.0.9
Release: 6tr
Source0: %{name}-%{version}.tar.bz2
Patch0: tsl-initrd-0.0.9-mkinitrd.patch
License: GPL
Group: Trustix Official
BuildRoot: %{_tmppath}/%{name}-root
PreReq: sed, binutils, coreutils, evms, module-init-tools, cramfsprogs

Obsoletes: initrd-tools
Obsoletes: mkinitrd
Provides: initrd-tools
Provides: mkinitrd

%description 
This is the Trustix mkinitrd binary

%prep
%setup -q
%patch0 -p1

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT ./install.sh

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
/usr/share/tsl-initrd/linuxrc
/usr/sbin/mkinitrd
%config(noreplace) /etc/mkinitrd/dirs
%config(noreplace) /etc/mkinitrd/exe
%config(noreplace) /etc/mkinitrd/files
%config(noreplace) /etc/mkinitrd/modules
%dir /etc/mkinitrd/scripts
/usr/share/man/man8/mkinitrd.8.gz

%changelog
* Wed Jun 15 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 0.0.9-6tr
- Applied mkinitrd patch to ignore empty lines if present in /etc/mkinitrd/modules.
- Fixed Bug #890.

* Wed May  4 2005 Chr. Toldnes <christht at trustix dot org> 5tr
- Added PreReq: cramfsprogs

* Wed May  4 2005 Chr. Toldnes <christht at trustix dot org> 4tr
- Added PreReq on deps, since we might be run by someone
  during install and need to actually work then

* Tue May  3 2005 Chr. Toldnes <christht at trustix dot org> 3tr
- Added dirs file.

* Tue May  3 2005 Chr. Toldnes <christht at trustix dot org> 2tr
- Added Requires: module-init-tools and evms

* Tue May  3 2005 Chr. Toldnes <christht at trustix dot org> 1tr
- Initial spec
